# Class StructuredLogBufferImpl

java.lang.Object
org.apache.sling.mcp.server.impl.contribs.log.StructuredLogBufferImpl

All Implemented Interfaces:
  `StructuredLogBuffer`

public class StructuredLogBufferImpl extends Object implements StructuredLogBuffer

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static @interface`
`StructuredLogBufferImpl.Configuration`

## Constructor Summary

Constructors
Constructor
Description
`StructuredLogBufferImpl(int maxEntriesKept)`
`StructuredLogBufferImpl(StructuredLogBufferImpl.Configuration configuration)`

## Method Summary

Modifier and Type
Method
Description
`void`
`append(LogSnapshot snapshot)`
`String`
`getHighestLogLevelName()`
`List<LogSnapshot>`
`getRecent(Pattern pattern, String minLevel, int maxEntries)`
`List<String>`
`getValidLogLevelNames()`
`boolean`
`isValidLogLevel(String logLevelName)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StructuredLogBufferImpl

public StructuredLogBufferImpl(int maxEntriesKept)

### StructuredLogBufferImpl

public StructuredLogBufferImpl(StructuredLogBufferImpl.Configuration configuration)

## Method Details

### append

public void append(LogSnapshot snapshot)

### isValidLogLevel

public boolean isValidLogLevel(String logLevelName)

Specified by:
  `isValidLogLevel` in interface `StructuredLogBuffer`

### getValidLogLevelNames

public List<String> getValidLogLevelNames()

Specified by:
  `getValidLogLevelNames` in interface `StructuredLogBuffer`

### getHighestLogLevelName

public String getHighestLogLevelName()

Specified by:
  `getHighestLogLevelName` in interface `StructuredLogBuffer`

### getRecent

public List<LogSnapshot> getRecent(Pattern pattern, String minLevel, int maxEntries)

Specified by:
  `getRecent` in interface `StructuredLogBuffer`